#include <QtQml>
#include <QtQml/QQmlContext>
#include "backend.h"
#include "external_process.h"
#include "system_update.h"


void BackendPlugin::registerTypes(const char *uri)
{
    Q_ASSERT(uri == QLatin1String("UbuntuSiloInstaller"));

    qmlRegisterType<ExternalProcess>(uri, 1, 0, "ExternalProcess");
    qmlRegisterType<UpdatePlugin::SystemUpdate>(uri, 1, 0, "SystemUpdate");
}

void BackendPlugin::initializeEngine(QQmlEngine *engine, const char *uri)
{
    QQmlExtensionPlugin::initializeEngine(engine, uri);
}

